##############################################################################
# Content
##############################################################################

# Link to a page that gives an overview of all your projects.
# This can be an external link (e.g., to you GitHub profile) or to another
# page within your website.
projects_url: http://github.com/probberechts

# Set the page direction to RTL or LTR. default is LTR. (if you set it 'rtl', the 'vazir' font will be loaded.)
direction: ltr
# Configure the navigation menu.
# A pair 'Key: url' will result in a link to 'url' with the name 'Key' in the
# navigation menu. Optionally, you can add translations for the 'Key' in
# languages/*.yml  
nav:
  home: /
  about: /about/
  articles: /archives/
  projects: projects_url


# Links to your social media accounts.
# The keys should correspond to Fontawesome icon names
# (see https://fontawesome.com/icons?d=gallery&s=brands);
# only 'mail' is an exception.
social_links:
  github: https://github.com/Johanneslueke
  twitter: https://twitter.com/JohannesSLueke
  linkedin: https://www.linkedin.com/in/johannes-l%C3%BCke-3a253a58/
  mail: mailto:lueke.johannes@googlemail.com

# Customize the overview with displaying a tagcloud on the index page.
# Options: https://hexo.io/docs/helpers.html#tagcloud
tags_overview: true

# Customize the overview with the most recent blog posts on the index page.
# Options:
#   - show_all_posts: whether to show all available posts.
#   - post_count: whether to show only the x most recent posts.
#   - sort_updated: sort posts by last modification date instead of creation date.
posts_overview:
  show_all_posts: false
  post_count: 5
  sort_updated: false

# Customize the archive view.
# Options:
#   - sort_updated: sort posts by last modification date instead of creation date.
# Note: this does not work together with pagination, since the pagination
# plugin will sort pages by date of creation.
archive:
  sort_updated: false

# Customize the article view.
# Options:
#   - show_updated: show the last modification date.
post:
  show_updated: false

# Customize the copyright years
# Note: if start_year/end_year not provided, will use current year.
copyright:
  start_year: 2020
  end_year: 2022

##############################################################################
# Look and Feel
##############################################################################

# Customize the logo (i.e., the cactus) in the header.
# Options:
#   - enabled: whether to show (true) or hide (false) the logo.
#   - width: width of the logo in pixel units
#   - height: height of the logo in pixel units
#   - url: where the logo can be found
#   - gravatar: whether to use your Gravatar as the logo
logo:
  enabled: true
  width: 50
  height: 50
  url: /images/logo.png
  gravatar: true

# Customize the favicons.
# Cactus supports a limited set of the three most important icons:
#   - desktop: The classic favion.ico file.
#   - android: A 192x192 PNG file.
#   - apple:  A 180x180 PNG file.
# These can be generated with http://realfavicongenerator.net/
# Options:
#   - url: where the icon can be found
#   - gravatar: whether to create a favicon from your Gravatar
favicon:
  desktop:
    url: /images/favicon.ico
    gravatar: true
  android:
    url: /images/favicon-192x192.png
    gravatar: false
  apple:
    url: /images/apple-touch-icon.png
    gravatar: false

# The color scheme that should be used to highlight codeblocks.
# See source/css/_highlight for a list of all available color schemes.
# highlight: rainbow

# Set the color scheme.
# Available color schemes are 'dark', 'light', 'classic' and 'white'.
# Alternatively, add your own custom color scheme to source/css/_colors.
colorscheme: dark

# Maximal width of the page in rem units.
page_width: 48


##############################################################################
# Miscellaneous
##############################################################################

# Enable or disable the RSS feed.
rss: true

# Turn your web pages into graph objects (see http://ogp.me).
open_graph:
  fb_app_id:
  fb_admins:
  twitter_id:
  google_plus:


##############################################################################
# Plugins
##############################################################################

# Fill in your Disqus Comments Shortname to enable Disqus comments.
disqus:
  enabled: false
  shortname: cactus-1

# Fill in your Google Analytics tracking ID to enable Google Analytics.
google_analytics:
  enabled: false
  id: 

# Fill in your Baidu Analytics tracking ID to enable Baidu Analytics.
baidu_analytics:
  enabled: false
  id: 

# Fill in your Umami Analytics tracking ID to enable Umami Analytics.
umami_analytics:
  enabled: false
  id: 
  host: https://analytics.domain.com

# Fill in you Gravatar user id / email if you want to use your gravatar as the
# logo and/or favicons of you website.
gravatar:
  email: lueke.johannes@googlemail.com
